com.holonplatform.vaadin.flow.components.builders

## Interface PropertyInputGroupBuilder

- All Superinterfaces:
    ComponentGroupConfigurator<com.holonplatform.core.property.Property<?>,com.holonplatform.core.property.PropertyBox,Input<?>,PropertyInputGroup,PropertyInputGroupBuilder>, InputGroupConfigurator<com.holonplatform.core.property.Property<?>,com.holonplatform.core.property.PropertyBox,PropertyInputGroup,PropertyInputGroupBuilder>, InputGroupConfigurator.PropertySetInputGroupConfigurator<PropertyInputGroup,PropertyInputGroupBuilder>, PropertyInputGroupConfigurator<PropertyInputGroupBuilder>

      public interface PropertyInputGroupBuilder
      extends PropertyInputGroupConfigurator<PropertyInputGroupBuilder>

  `PropertyInputGroup` builder.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputGroupConfigurator

      `InputGroupConfigurator.BeanInputGroupConfigurator<T,G extends BoundComponentGroup<String,Input<?>>,C extends InputGroupConfigurator.BeanInputGroupConfigurator<T,G,C>>, InputGroupConfigurator.PropertySetInputGroupConfigurator<G extends BoundComponentGroup<com.holonplatform.core.property.Property<?>,Input<?>>,C extends InputGroupConfigurator.PropertySetInputGroupConfigurator<G,C>>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `PropertyInputGroup` | `build()` Build the `PropertyInputGroup`.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.PropertyInputGroupConfigurator

      `bind, bind, bind, bind, bindField, bindField, hidden, readOnly, readOnly, stopGroupValidationAtFirstFailure, stopInputsValidationAtFirstFailure, validateOnValueChange`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputGroupConfigurator.PropertySetInputGroupConfigurator

      `defaultValue, withValidator, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputGroupConfigurator

      `enableRefreshOnValueChange, groupValidationStatusHandler, required, required, required, required, validationStatusHandler, validationStatusHandler, validationStatusLabel, withPostProcessor, withValidator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentGroupConfigurator

      `usePropertyRendererRegistry, withValueChangeListener`

- - ### Method Detail

    - #### build

          PropertyInputGroup build()

      Build the `PropertyInputGroup`.
      Returns:
        A new `PropertyInputGroup`

Copyright © 2019 The Holon Platform. All rights reserved.